#!/bin/sh
# by PauleFoul
# 2006-04-19
	Version=0.95
	echo	BeNuWe - Benutzerwechsel Version $Version
	#-----------------------------User Parameter----------------------------------------------------------------------------------	
		#Daten aus BeNuWe.conf auslesen
		BenuDefault=`grep "BenuDefault" /var/plugins/benuwe/benuwe.conf  | cut -f 2 -d '='`
		Benu1Name=`grep "Benu1Name" /var/plugins/benuwe/benuwe.conf  | cut -f 2 -d '='`
		Benu1Code=`grep "Benu1Code" /var/plugins/benuwe/benuwe.conf  | cut -f 2 -d '='`
		Benu2Name=`grep "Benu2Name" /var/plugins/benuwe/benuwe.conf  | cut -f 2 -d '='`
		Benu2Code=`grep "Benu2Code" /var/plugins/benuwe/benuwe.conf  | cut -f 2 -d '='`
		Benu3Name=`grep "Benu3Name" /var/plugins/benuwe/benuwe.conf  | cut -f 2 -d '='`
		Benu3Code=`grep "Benu3Code" /var/plugins/benuwe/benuwe.conf  | cut -f 2 -d '='`
		Benu4Name=`grep "Benu4Name" /var/plugins/benuwe/benuwe.conf  | cut -f 2 -d '='`
		Benu4Code=`grep "Benu4Code" /var/plugins/benuwe/benuwe.conf  | cut -f 2 -d '='`
		
	#------------------------------------------------------------------------------------------------------------------------------	

	#-----------------------------Variablen---------------- NICHT AENDERN!!! ------------------------------------------------------
		Auswahl=0																															
		Zugang=0
		Abbruch=1
		Benutzer=0
		BenuName=0
		BenuCode=0
		BenuAktu=0
		N=0
		M=0
		Booten=0
		
		
	if [ -e /tmp/Benutzer1.tmp ] ; then																				#Abfrage ob letzter Benutzer Benutzer1 war
			BenuAktu=1 ; Benu1Name=																								#Letzten Benutzer merken, Default fuer msg definieren
	elif [ -e /tmp/Benutzer2.tmp ] ; then																			#Abfrage ob letzter Benutzer Benutzer2 war
			BenuAktu=2 ; Benu2Name=																								#Letzten Benutzer merken, Default fuer msg definieren
	elif [ -e /tmp/Benutzer3.tmp ] ; then																			#Abfrage ob letzter Benutzer Benutzer3 war
			BenuAktu=3 ; Benu3Name=																								#Letzten Benutzer merken, Default fuer msg definieren
	elif [ -e /tmp/Benutzer4.tmp ] ; then																			#Abfrage ob letzter Benutzer Benutzer4 war
			BenuAktu=4 ; Benu4Name=																								#Letzten Benutzer merken, Default fuer msg definieren
	else																																			#Keine Benutzerinfo vorhanden (Reboot)
			BenuAktu=0 ;																					 								#Letzten Benutzer merken, Default fuer msg definieren , Reboot merken
	fi
	
	#Aufruf Benutzerauswhl
	msgbox msg="~s~n~cBitte Benutzer w~ahlen~n~s" select="$Benu1Name,$Benu2Name,$Benu3Name,$Benu4Name,~FAbbruch" size=45 title="Benutzerwechsel" timeout=10 order=5 absolute=1

	case $?	in 																																#Abfrage der Benutzerauswahl
		1)																																			#Wenn Benutzer1 gewaehlt
			BenuName=$Benu1Name ; BenuCode=$Benu1Code ; Benutzer=1	;;
	
		2)																																			#Wenn Benutzer2 gewaehlt
			BenuName=$Benu2Name ; BenuCode=$Benu2Code ; Benutzer=2	;;
			
		3)																																			#Wenn Benutzer3 gewaehlt
			BenuName=$Benu3Name ; BenuCode=$Benu3Code ; Benutzer=3	;;
			
		4)																																			#Wenn Benutzer4 gewaehlt
			BenuName=$Benu4Name ; BenuCode=$Benu4Code ; Benutzer=4	;;
												
		*)																																			#Wenn kein Benutzer gewaehlt	
			msgbox popup="Keine Auswahl" timeout=1
			if [ $BenuAktu -eq 0 ] ; then
				BenuName=Default ; Benutzer=$BenuDefault
			else
				Benutzer=$BenuAktu
			fi
			;;		
		
	esac																																				#Ende Abfrage Benutzerazswahl
	
	if [ $BenuAktu -ne $Benutzer ] ; then
		if [ $BenuCode -gt 0 ] ; then																							#Abfrage PIN Eingabe erforderlich
			until [ $Abbruch -ne 1 ] 																								#Wiederhole bis korrekte PIN oder Abbruch
			do
				pin=`input l="####" t="PIN fuer Benutzer $BenuName" m=1 k=0 f=1 o=20`
				if [ $pin -eq $BenuCode ]; then																				#Abfrage ob PIN korrekt
					Abbruch=2
				else																																	#Wenn PIN falsch
					msgbox msg="Falsche PIN-Eingabe!" select="Nochmal ,Abbruch" size=40 title="Hinweis" timeout=20
					if [ $? -ne 1 -a $BenuAktu -ne 0 ] ; then
						exit
					fi																													
				fi																																		#Ende Abfrage ob PIN korrekt
			done																																		#Ende Wiederhole bis korrekte PIN oder Abbruch
		fi																																				#Ende Abfrage PIN Eingabe erforderlich
			killall -9 nhttpd																												#Webinterface beenden
			rm /var/tuxbox/config/zapit/bouquets.xml																#Link lschen
			rm /var/tuxbox/config/zapit/services.xml																#Link lschen
			rm	/tmp/Benutzer*.tmp																									#Datei Benutzer[1].tmp lschen
			
						
			if [ -e /var/plugins/benuwe/myservices*.xml ] ; then										#Abfrage ob myservice.xml vorhanden
				rm /var/tuxbox/config/zapit/myservices.xml
				if [ -e /var/plugins/benuwe/myservices"$Benutzer".xml ] ; then				#Abfrage ob myservice.xml fr Benutzer vorhanden		
					ln -s /var/plugins/benuwe/myservices"$Benutzer".xml /var/tuxbox/config/zapit/myservices.xml															
				fi									
			fi
			
			if [ -e /var/plugins/benuwe/antiservices*.xml ] ; then									#Abfrage ob antiservice.xml vorhanden
				rm /var/tuxbox/config/zapit/antiservices.xml
				if [ -e /var/plugins/benuwe/antiservices"$Benutzer".xml ] ; then			#Abfrage ob antiservice.xml fr Benutzer vorhanden		
					ln -s /var/plugins/benuwe/antiservices"$Benutzer".xml /var/tuxbox/config/zapit/antiservices.xml															
				fi									
			fi
																																							#Neue Links auf entsprechenden Benutzer erstellen
			ln -s /var/plugins/benuwe/bouquets"$Benutzer".xml /var/tuxbox/config/zapit/bouquets.xml
			ln -s /var/plugins/benuwe/services"$Benutzer".xml /var/tuxbox/config/zapit/services.xml
						
			touch /tmp/Benutzer$Benutzer.tmp																				#Datei Benutzer[1].tmp erzeugen	

			pzapit -c   																														#Bouquets neu laden

			if [ $BenuAktu -gt 0 ] ; then																														
				sleep 1																																#1 Sekunde warten
				pzapit 1 1																														#Auf Bouquet1 / Kanal1 umschalten
			fi
			
			if [ -e /var/plugins/benuwe/shellexec1.conf ] ; then										#Abfrage ob Flexmenue.conf vorhanden
				rm /var/tuxbox/config/shellexec.conf																	#Link lschen
				ln -s /var/plugins/benuwe/shellexec"$Benutzer".conf /var/tuxbox/config/shellexec.conf
			fi

			
			nhttpd																																	#Webinterface starten																								
			msgbox popup="Benutzer $BenuName aktiviert" size=40 timeout=2						#Aktivierten Benutzer anzeigen
	fi
	exit																																				#Skript beenden
	